## obs-studio-dmo 31.1.2

=== debian/changelog ===
obs-studio-dmo (1:31.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Jul 2025 01:39:09 +0200

obs-studio-dmo (1:31.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Jul 2025 06:33:17 +0200

obs-studio-dmo (1:31.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Jul 2025 07:09:21 +0200

obs-studio-dmo (1:31.0.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Jun 2025 01:49:17 +0200

obs-studio-dmo (1:31.0.3-dmo2) unstable; urgency=medium

  * Build with libdatachannel0.23

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Jun 2025 17:30:25 +0200

obs-studio-dmo (1:31.0.3-dmo1+b1) unstable; urgency=medium

  * Build with libajantv2 17.5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Apr 2025 08:08:13 +0200

obs-studio-dmo (1:31.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Mar 2025 00:50:56 +0100

obs-studio-dmo (1:31.0.2-dmo1+b1) unstable; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 11:02:24 +0100

obs-studio-dmo (1:31.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Mar 2025 08:11:37 +0100

obs-studio-dmo (1:31.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Jan 2025 08:50:59 +0100

obs-studio-dmo (1:31.0.0-dmo3) unstable; urgency=medium

  * Build with python 3.13

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2025 18:17:22 +0100

obs-studio-dmo (1:31.0.0-dmo2) unstable; urgency=medium

  * Should Depends on qt6-svg-plugins

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Jan 2025 16:15:06 +0100

obs-studio-dmo (1:31.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Dec 2024 08:06:14 +0100

obs-studio-dmo (1:30.2.3-dmo4) unstable; urgency=medium

  * Build with libdatachannel0.22

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Oct 2024 14:38:50 +0200

obs-studio-dmo (1:30.2.3-dmo3) unstable; urgency=medium

  * Build with mbedtls 3.6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Oct 2024 15:31:20 +0200

obs-studio-dmo (1:30.2.3-dmo2) unstable; urgency=medium

  * Build with libvpl2 1:2.13.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Sep 2024 16:46:03 +0200

obs-studio-dmo (1:30.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Aug 2024 08:12:55 +0200

obs-studio-dmo (1:30.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Jul 2024 07:35:52 +0200

obs-studio-dmo (1:30.2.0-dmo2) unstable; urgency=medium

  * Enable nv-codec-headers for all arches.
  * Build with libajantv2-dev to enable AJA support (amd64 only)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Jul 2024 16:17:15 +0200

obs-studio-dmo (1:30.2.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Disable AJA for now (only amd64)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Jul 2024 08:40:25 +0200

obs-studio-dmo (1:30.1.2-dmo4) unstable; urgency=medium

  * Replaces libluajit2-5.1-dev by libluajit-5.1-dev in Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Jun 2024 07:26:57 +0200

obs-studio-dmo (1:30.1.2-dmo3) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 13:54:59 +0200

obs-studio-dmo (1:30.1.2-dmo2) unstable; urgency=medium

  * Build with libdatachannel0.21

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Apr 2024 11:08:11 +0200

obs-studio-dmo (1:30.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 09:24:07 +0200

obs-studio-dmo (1:30.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Mar 2024 00:36:36 +0100

obs-studio-dmo (1:30.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Mar 2024 01:57:23 +0100

obs-studio-dmo (1:30.0.2-dmo2) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Feb 2024 08:36:46 +0100

obs-studio-dmo (1:30.0.2-dmo1) unstable; urgency=medium

  * New upstream release (No changes for Linux users)
  * Build with libdatachannel0.20

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Jan 2024 08:56:52 +0100

obs-studio-dmo (1:30.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Dec 2023 08:51:59 +0100

obs-studio-dmo (1:30.0.0-dmo2) unstable; urgency=medium

  * Fix build for arches without AMF

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Nov 2023 09:31:15 +0100

obs-studio-dmo (1:30.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Nov 2023 00:51:54 +0100

obs-studio-dmo (1:29.1.3-dmo2) unstable; urgency=medium

  * Add patch from nowrep to make AMF encoder work on Linux.
    Note: requires AMD proprietary Vulkan driver.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Aug 2023 16:02:45 +0200

obs-studio-dmo (1:29.1.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.


=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -r 's/[^:]+://; s/-[^-]+$$//')

ifneq "$(DEB_BUILD_ARCH)" "amd64"
	confflags += -DENABLE_AJA=FALSE
endif
ifeq (,$(filter-out amd64,$(DEB_HOST_ARCH_CPU)))
	confflags += -DENABLE_QSV11=ON
else
	confflags += -DENABLE_QSV11=OFF
endif

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:

# from https://github.com/obsproject/obs-studio/tree/master/plugins
#
# git clone https://github.com/obsproject/obs-websocket.git
# cd obs-websocket && git checkout 40d26db
# git submodule update --init --recursive
# rm -rf .git* && cd ..
# mv obs-websocket obs-websocket-5-6-2
	cd plugins && ln -s ../obs-websocket-5-6-2 obs-websocket

	dh_auto_configure -- \
	-DAPPDATA_RELEASE_DATE=$(shell date --utc --date=@$${SOURCE_DATE_EPOCH} +'%Y-%m-%d') \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_COMPILE_WARNING_AS_ERROR=OFF \
	-DCMAKE_SKIP_RPATH=ON \
	-DCPACK_RESOURCE_FILE_LICENSE=/usr/share/common-licenses/GPL-2 \
	-DENABLE_BROWSER=OFF \
	-DENABLE_JACK=ON \
	-DENABLE_LIBFDK=ON \
	-DENABLE_SNDIO=OFF \
	-DENABLE_VLC=ON \
	-DOBS_INSTALL_PREFIX=/usr \
	-DOBS_LIBRARY_DESTINATION=lib/$(DEB_HOST_MULTIARCH) \
	-DOBS_VERSION_OVERRIDE=$(UPSTREAM_VERSION) \
	-Wno-dev \
	$(confflags)

#	exit 1

override_dh_auto_build:
	dh_auto_build

	rst2man debian/obs.rst > debian/obs.1

override_dh_install:
	rm debian/tmp/usr/share/obs/obs-plugins/decklink-captions/.keepme

	dh_install

	rm -rf debian/obs-studio/usr/share/obs/obs-studio/license

execute_after_dh_auto_install:
	chmod 644 debian/tmp/usr/share/obs/obs-studio/OBSPublicRSAKey.pem

override_dh_python3:
	dh_python3 -pobs-plugins usr/share/obs/obs-plugins/frontend-tools/scripts
	dh_python3 -pobs-plugins usr/lib/$(DEB_HOST_MULTIARCH)/obs-scripting

override_dh_clean:
	dh_clean debian/obs.1 cmake/.CMakeBuildNumber \
	obs-websocket-*/src/plugin-macros.generated.h

	-rm -rf plugins/obs-websocket

override_dh_auto_test:

## obs-studio-dmo 32.0.1

=== plugins/obs-webrtc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

option(ENABLE_WEBRTC "Enable WebRTC Output support" ON)
if(NOT ENABLE_WEBRTC)
  target_disable(obs-webrtc)
  return()
endif()

find_package(LibDataChannel 0.20 REQUIRED)
find_package(CURL REQUIRED)

add_library(obs-webrtc MODULE)
add_library(OBS::webrtc ALIAS obs-webrtc)

target_sources(
  obs-webrtc
  PRIVATE obs-webrtc.cpp whip-output.cpp whip-output.h whip-service.cpp whip-service.h whip-utils.h
)

target_link_libraries(obs-webrtc PRIVATE OBS::libobs LibDataChannel::LibDataChannel CURL::libcurl)

set_target_properties_obs(obs-webrtc PROPERTIES FOLDER plugins PREFIX "")

=== frontend/plugins/frontend-tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

find_package(Qt6 REQUIRED Widgets)

if(OS_LINUX OR OS_FREEBSD OR OS_OPENBSD)
  find_package(Qt6 REQUIRED Gui)
  find_package(X11 REQUIRED)
endif()

add_library(frontend-tools MODULE)
add_library(OBS::frontend-tools ALIAS frontend-tools)

if(NOT TARGET OBS::properties-view)
  add_subdirectory("${CMAKE_SOURCE_DIR}/shared/properties-view" "${CMAKE_BINARY_DIR}/shared/properties-view")
endif()

if(NOT TARGET OBS::qt-plain-text-edit)
  add_subdirectory("${CMAKE_SOURCE_DIR}/shared/qt/plain-text-edit" "${CMAKE_BINARY_DIR}/shared/qt/plain-text-edit")
endif()

if(NOT TARGET OBS::qt-wrappers)
  add_subdirectory("${CMAKE_SOURCE_DIR}/shared/qt/wrappers" "${CMAKE_BINARY_DIR}/shared/qt/wrappers")
endif()

target_sources(
  frontend-tools
  PRIVATE
    $<$<PLATFORM_ID:Darwin>:auto-scene-switcher-osx.mm>
    $<$<PLATFORM_ID:Linux,FreeBSD,OpenBSD>:auto-scene-switcher-nix.cpp>
    $<$<PLATFORM_ID:Windows>:auto-scene-switcher-win.cpp>
    $<$<PLATFORM_ID:Windows>:captions-handler.cpp>
    $<$<PLATFORM_ID:Windows>:captions-handler.hpp>
    $<$<PLATFORM_ID:Windows>:captions-mssapi-stream.cpp>
    $<$<PLATFORM_ID:Windows>:captions-mssapi-stream.hpp>
    $<$<PLATFORM_ID:Windows>:captions-mssapi.cpp>
    $<$<PLATFORM_ID:Windows>:captions-mssapi.hpp>
    $<$<PLATFORM_ID:Windows>:captions.cpp>
    $<$<PLATFORM_ID:Windows>:captions.hpp>
    auto-scene-switcher.cpp
    auto-scene-switcher.hpp
    frontend-tools.c
    output-timer.cpp
    output-timer.hpp
    tool-helpers.hpp
)

target_sources(
  frontend-tools
  PRIVATE forms/auto-scene-switcher.ui forms/captions.ui forms/output-timer.ui forms/scripts.ui
)

target_compile_options(
  frontend-tools
  PRIVATE $<$<PLATFORM_ID:Darwin>:-Wno-quoted-include-in-framework-header> $<$<PLATFORM_ID:Darwin>:-Wno-comma>
)

target_link_libraries(
  frontend-tools
  PRIVATE
    OBS::frontend-api
    OBS::libobs
    OBS::properties-view
    OBS::qt-plain-text-edit
    OBS::qt-wrappers
    Qt::Widgets
    "$<$<PLATFORM_ID:Darwin>:$<LINK_LIBRARY:FRAMEWORK,Cocoa>>"
    $<$<PLATFORM_ID:Linux,FreeBSD,OpenBSD>:X11::X11>
    $<$<PLATFORM_ID:Linux,FreeBSD,OpenBSD>:Qt::GuiPrivate>
)

add_subdirectory("${CMAKE_SOURCE_DIR}/shared/obs-scripting" "${CMAKE_BINARY_DIR}/shared/obs-scripting")

if(ENABLE_SCRIPTING AND TARGET OBS::scripting)
  target_sources(frontend-tools PRIVATE scripts.cpp scripts.hpp)
  target_link_libraries(frontend-tools PRIVATE OBS::scripting)
  target_enable_feature(frontend-tools "Scripting Support (Frontend)" ENABLE_SCRIPTING)
endif()

if(OS_WINDOWS)
  configure_file(cmake/windows/obs-module.rc.in frontend-tools.rc)
  target_sources(frontend-tools PRIVATE frontend-tools.rc)

  set_property(TARGET frontend-tools APPEND PROPERTY AUTORCC_OPTIONS --format-version 1)
endif()

set_target_properties_obs(
  frontend-tools
  PROPERTIES FOLDER frontend
             PREFIX ""
             AUTOMOC ON
             AUTOUIC ON
             AUTORCC ON
             AUTOUIC_SEARCH_PATHS forms
             XCODE_ATTRIBUTE_CLANG_ENABLE_OBJC_ARC YES
)

=== plugins/mac-virtualcam/src/dal-plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

add_library(obs-dal-plugin MODULE)
add_library(OBS::dal-plugin ALIAS obs-dal-plugin)

target_sources(
  obs-dal-plugin
  PRIVATE
    CMSampleBufferUtils.h
    CMSampleBufferUtils.mm
    Defines.h
    Logging.h
    OBSDALDevice.h
    OBSDALDevice.mm
    OBSDALMachClient.h
    OBSDALMachClient.mm
    OBSDALObjectStore.h
    OBSDALObjectStore.mm
    OBSDALPlugIn.h
    OBSDALPlugIn.mm
    OBSDALPlugInInterface.h
    OBSDALPlugInInterface.mm
    OBSDALPlugInMain.mm
    OBSDALStream.h
    OBSDALStream.mm
)

set(_placeholder_location "${CMAKE_CURRENT_SOURCE_DIR}/../common/data/placeholder.png")

set_property(SOURCE "${_placeholder_location}" PROPERTY MACOSX_PACKAGE_LOCATION "Resources")
source_group("Resources" FILES "${_placeholder_location}")

target_link_libraries(
  obs-dal-plugin
  PRIVATE
    OBS::mach-protocol
    "$<LINK_LIBRARY:FRAMEWORK,Cocoa.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,CoreMedia.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,CoreMediaIO.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,CoreVideo.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,IOSurface.framework>"
)

set_target_properties_obs(
  obs-dal-plugin
  PROPERTIES OUTPUT_NAME obs-mac-virtualcam
             FOLDER plugins
             PREFIX ""
             BUNDLE TRUE BUNDLE_EXTENSION plugin MACOSX_BUNDLE_INFO_PLIST
                         "${CMAKE_CURRENT_SOURCE_DIR}/cmake/macos/Info.plist.in"
             LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/../../"
)

set_property(TARGET obs-dal-plugin PROPERTY OSX_ARCHITECTURES x86_64 arm64)

string(TIMESTAMP CURRENT_YEAR "%Y")
set_target_xcode_properties(
  obs-dal-plugin
  PROPERTIES CLANG_ENABLE_OBJC_ARC YES
             CLANG_WARN_SUSPICIOUS_IMPLICIT_CONVERSION YES
             GCC_WARN_SHADOW YES
             PRODUCT_NAME obs-mac-virtualcam
             PRODUCT_BUNDLE_IDENTIFIER com.obsproject.obs-mac-virtualcam
             CURRENT_PROJECT_VERSION ${OBS_BUILD_NUMBER}
             MARKETING_VERSION ${OBS_VERSION_CANONICAL}
             GENERATE_INFOPLIST_FILE YES
             INFOPLIST_KEY_CFBundleDisplayName obs-mac-virtualcam
             INFOPLIST_KEY_NSHumanReadableCopyright "(c) 2020-${CURRENT_YEAR} John Boiles, Patrick Heyer, Sebastian Beckmann"
)

=== debian/changelog ===
obs-studio-dmo (1:32.0.1-dmo1~bpo13+1) trixie-backports; urgency=medium

  * Upload to stable-backports (Build with ffmpeg 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Oct 2025 15:33:29 +0200

obs-studio-dmo (1:32.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Sep 2025 08:00:21 +0200

obs-studio-dmo (1:32.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Sep 2025 07:43:34 +0200

obs-studio-dmo (1:31.1.2-dmo2) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Sep 2025 08:17:25 +0200

=== debian/control ===
Source: obs-studio-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://obsproject.com
Standards-Version: 4.7.2
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-sequence-python3, cmake, quilt,
 libasound2-dev, libavfilter-dev (>= 10:7.0~), libv4l-dev, libx11-dev, libfreetype-dev,
 libcurl4-gnutls-dev | libcurl-dev, libdbus-1-dev, libfontconfig-dev,
 libopengl-dev, libjack-jackd2-dev, swig, pkgconf, qt6-base-dev, qt6-svg-dev,
 libjansson-dev (>= 2.5), libpulse-dev, libspeexdsp-dev, libxcb-xinerama0-dev,
 libudev-dev [linux-any], libx264-dev, libxcb-shm0-dev, libftl-dev, libegl-dev,
 libxcomposite-dev, libxinerama-dev, libvlc-dev, libx11-xcb-dev, libsimde-dev,
 python3-docutils (>= 0.6), libfdk-aac-dev, python3-dev, libdatachannel-dev (>= 1:0.23~),
 libmbedtls-dev (>= 3.6.0~), libfdk-aac-dev, libxcb-xinput-dev, libasio-dev,
 libxkbcommon-dev, libxcb-randr0-dev, libavdevice-dev, ninja-build,
 libpipewire-0.3-dev, libwayland-dev, libdrm-dev, libluajit-5.1-dev, libpci-dev,
 qt6-base-private-dev, libxcb-composite0-dev, nv-codec-headers, libxcb-dri2-0-dev,
 libxcb-glx0-dev, libxcb-keysyms1-dev, libxcb-sync-dev, libxcb-xv0-dev,
 libsrt-openssl-dev, librist-dev, libva-dev, libice-dev, libwebsocketpp-dev,
 nlohmann-json3-dev, libqrcodegencpp-dev, libvpl-dev [amd64], libvlccore-dev,
 amf-codec-headers, glslc, glslang-tools, uthash-dev, libajantv2-dev [amd64],
 extra-cmake-modules,

Package: obs-studio
Architecture: any
Depends: obs-plugins (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, qt6-svg-plugins,
Suggests: libnvidia-encode1, pkexec,
Replaces: obs-plugins (<= 1:26.0.0-dmo1), obs-websocket,
Breaks: obs-plugins (<= 1:26.0.0-dmo1), obs-websocket,
Description: recorder and streamer for live video content
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 Other features include:
  * Encoding using H264 (x264) and AAC
  * Unlimited number of scenes and sources
  * File output to MP4 or FLV
  * GPU-based game capture for high performance game streaming
  * Bilinear or lanczos3 resampling
 .
 Note that OBS Studio requires an OpenGL 3.2 compatible video card.

Package: obs-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Replaces: obs-studio
Recommends: vlc
Description: recorder and streamer for live video content (plugins)
 OBS is designed for efficiently recording and streaming live video content. It
 supports live RTP streaming to various streaming sites.
 .
 This package contains the plugins.

Package: libobs0t64
Provides: ${t64:Provides}
Replaces: libobs0
Breaks: libobs0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content (shared library)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the shared library libobs.

Package: libobs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libobs0t64 (= ${binary:Version}), ${misc:Depends}, libsimde-dev
Description: recorder and streamer for live video content (development files)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the development files.

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,11 @@
 # from https://github.com/obsproject/obs-studio/tree/master/plugins
 #
 # git clone https://github.com/obsproject/obs-websocket.git
-# cd obs-websocket && git checkout 40d26db
+# cd obs-websocket && git checkout 1c9306b
 # git submodule update --init --recursive
 # rm -rf .git* && cd ..
-# mv obs-websocket obs-websocket-5-6-2
-	cd plugins && ln -s ../obs-websocket-5-6-2 obs-websocket
+# mv obs-websocket obs-websocket-5-6-3
+	cd plugins && ln -s ../obs-websocket-5-6-3 obs-websocket
 
 	dh_auto_configure -- \
 	-DAPPDATA_RELEASE_DATE=$(shell date --utc --date=@$${SOURCE_DATE_EPOCH} +'%Y-%m-%d') \

=== debian/watch ===
version=4

https://github.com/jp9000/obs-studio/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## obs-studio-dmo 32.0.2

=== debian/changelog ===
obs-studio-dmo (1:32.0.2-dmo1) unstable; urgency=medium

  * New upstream release (No changes).
  * Build with libdatachannel0.24

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Nov 2025 11:19:31 +0100

## obs-studio-dmo 32.0.3

=== debian/changelog ===
obs-studio-dmo (1:32.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Dec 2025 01:52:33 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libjansson-dev (>= 2.5), libpulse-dev, libspeexdsp-dev, libxcb-xinerama0-dev,
  libudev-dev [linux-any], libx264-dev, libxcb-shm0-dev, libftl-dev, libegl-dev,
  libxcomposite-dev, libxinerama-dev, libvlc-dev, libx11-xcb-dev, libsimde-dev,
- python3-docutils (>= 0.6), libfdk-aac-dev, python3-dev, libdatachannel-dev (>= 1:0.23~),
+ python3-docutils (>= 0.6), libfdk-aac-dev, python3-dev, libdatachannel-dev (>= 1:0.24~),
  libmbedtls-dev (>= 3.6.0~), libfdk-aac-dev, libxcb-xinput-dev, libasio-dev,
  libxkbcommon-dev, libxcb-randr0-dev, libavdevice-dev, ninja-build,
  libpipewire-0.3-dev, libwayland-dev, libdrm-dev, libluajit-5.1-dev, libpci-dev,

## obs-studio-dmo 32.0.4

=== debian/changelog ===
obs-studio-dmo (1:32.0.4-dmo1~bpo13+1) trixie-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Dec 2025 00:33:42 +0100
